camitk (6.0.0-2) unstable; urgency=medium

  * Installation from experimental tested successfully, minor UI issue fixed
    in new patch, hopefully ready to switch to unstable

 -- Manik Bhattacharjee <manik.bhattacharjee@univ-grenoble-alpes.fr>  Tue, 20 Jan 2026 19:20:04 +0100

camitk (6.0.0-1) experimental; urgency=medium

  * New upstream version 6.0.0 (Closes: #1117520)

 -- Manik Bhattacharjee <manik.bhattacharjee@univ-grenoble-alpes.fr>  Wed, 14 Jan 2026 10:27:12 +0100

camitk (5.2.0-5) unstable; urgency=medium

  * Adding safeguards around ctest instructions. (Closes: #1103471)

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Sat, 19 Apr 2025 17:23:55 +0200

camitk (5.2.0-4) unstable; urgency=medium

  * use VTK9 modules to remove unneeded java dependencies
  * remove doxygen xml output to improve reproducibility
  * fix dh_missing and patch format warnings

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Sat, 15 Mar 2025 14:05:12 +0100

camitk (5.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Promayon ]
  * Disabling one failing test with ITK5.4 (Closes: #1094895)

  [ Étienne Mollier ]
  * d/watch: fix watch file after changes in gricad gitlab instance.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 03 Mar 2025 22:40:13 +0100

camitk (5.2.0-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * [dd49d2b] Fix compilation against VTK_9.3. (Closes: #1073793)

 -- Anton Gladky <gladk@debian.org>  Fri, 21 Jun 2024 17:28:07 +0200

camitk (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Fri, 16 Feb 2024 10:20:39 +0100

camitk (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Fri, 28 Jul 2023 10:33:59 +0000

camitk (5.0.2-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Build against VTK9
    Closes: #1013153
  * Standards-Version: 4.6.2
  * ignore test failures to unblock vtk7 removal

  [ Pierre Gruet ]
  * Providing the directories of needed JDK shared libs in LD_LIBRARY_PATH
    for the build-time tests

  [ Emmanuel Promayon ]
  * VTK9 compat, disabling dicom component for now

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 08:00:26 +0200

camitk (5.0.2-4) unstable; urgency=medium

  * Team upload.
  * d/control: declare compliance to standards version 4.6.1.
  * d/copyright: dedicate paragraph to the LGPL-2.1.
  * d/copyright: fix location of python_sdk/pyside_global.h.
  * d/u/lintian-overrides: override false positive error.
  * Rebuild with libinsighttoolkit5-dev, which disappeared temporarily from sid
    somehow. (Closes: #1017220)

 -- Étienne Mollier <emollier@debian.org>  Fri, 30 Sep 2022 21:09:45 +0200

camitk (5.0.2-3) unstable; urgency=medium

  * Fix FTBFS during build all and build any

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Thu, 24 Feb 2022 14:42:18 +0100

camitk (5.0.2-2) unstable; urgency=medium

  * Add missing Copyright entry
    Closes: #1005885

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 19:21:57 +0100

camitk (5.0.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * (Build-)Depends libinsighttoolkit5-dev
  * Bump package version number and version numbers in Breaks fields
  * Build-Depends: libgdcm-tools
  * Adapt lintian-overrides to soversion

  [ Jose Luis Rivero ]
  * Fix compilation by removing ixx files
    Closes: #997120

  [ Emmanuel Promayon ]
  * Update d/r and fix test error to improve multiarch support
  * Update autopkgtest for new upstream version
  * Disable unnecessary generation of dot graph for apidoc
  * Add d/not-installed for not packaged binaries
  * Update metadata to add upstream repo information

 -- Andreas Tille <tille@debian.org>  Wed, 09 Feb 2022 10:40:32 +0100

camitk (4.1.2-4) unstable; urgency=medium

  * Adapt (Build-)Depends of libgdcm to new names
    Closes: #949349
  * debhelper-compat 12 (routine-update)
  * Standards-Version: 4.4.1 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 13:05:20 +0100

camitk (4.1.2-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libcamitk-dev: Add Breaks against several vtk6 packages to force switching
    from libvtk6-dev to libvtk7-dev.  (Closes: #926430)

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2019 07:36:59 +0200

camitk (4.1.2-2) unstable; urgency=medium

  * VTK7 compatibility. Closes: #909120
  * Avoid double delete (patch from Bernhard Übelacker)
  * update d/control: multiarch, debphelper and compat

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Tue, 23 Oct 2018 10:19:39 +0200

camitk (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * control, rules, and autopkgtest updated for new release
  * watch checks tag on upstream gilab
  * fixed mispelling detected by lintian
  * fixed config test and lib core dependencies

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Wed, 18 Jul 2018 13:37:31 +0000

camitk (4.0.4-2) unstable; urgency=medium

  * Updated email address
  * wizard tests gained verbosity
  * Start Xvfb server first + update test dependencies

 -- Emmanuel Promayon <Emmanuel.Promayon@univ-grenoble-alpes.fr>  Fri, 20 Jan 2017 20:23:05 +0000

camitk (4.0.4-1) unstable; urgency=medium

  [ Emmanuel Promayon ]
  * New upstream version 4.0.4
  * libdevel needs most of the build depends (needed for ci)

  [ Andreas Tille ]
  * debhelper 10 (drop --parallel from d/rules)
  * d/watch: version=4
  * hardening=+all

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Fri, 02 Dec 2016 06:01:44 +0000

camitk (4.0.3-1) unstable; urgency=medium

  * Imported Upstream version 4.0.3
  * Removed SONAME number in the dev package name
  * Create a new camitk-config package for the camitk-config binary, and have
    set appropriate Breaks+Replaces.  Closes: #836990
  * Improved autopkgtest test scripts
  * Fix debug-file-with-no-debug-symbols (CXX flags were overridden)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Sat, 08 Oct 2016 20:23:26 +0000

camitk (4.0.0~beta-2) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks/Replaces to the -dev packages.  Closes: #823025
  * Re-enable parallel build.  Now that slow architectures are not a
    problem anymore this should be safe to do.  Closes: #747421

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Apr 2016 11:48:28 +0000

camitk (4.0.0~beta-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream beta release. Thanks to Gianfranco Costamagna
    for the help.
  * New upstream beta release now depends on Qt5
    Closes: #816805
  * New upstream beta check for SOURCE_DATE_EPOCH
    Closes: #794740
  * Run test only for architecture Any. Thanks to Andreas Tille
    for the help. Closes: #817163
  * Removed Nicolas Saubat from maintainer list. Many thanks
    to Nicolas for his work on CamiTK during the last 4 years.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git

  [ Gianfranco Costamagna ]
  * New upstream beta release (Closes: #798167)
  * Bump soname.
  * Fix packaging by following new libraries and removed libraries
    in rules file.
  * Remove all patches, upstream.
  * Switch to vtk6, itk4 and qt5
  * Bump std-version to 3.9.8
  * Update copyright file.

  [ Mattia Rizzolo ]
  * Remove trailing whitespaces from all over debian/.
  * debian/rules:
    + Remove useless override in dh_builddeb: xz is the default now.
    + Semplify dpkg-parsechangelog invocation using -S instead of sed(1).

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Wed, 27 Apr 2016 00:15:14 +0200

camitk (3.4.0-2) unstable; urgency=low

  * Fix cmake missing path to ITKConfig (patch force-path-to-itkconfig)
    Closes: #787753
  * Increase test timeout for slower arch
  * fix timestamps_in_documentation_generated_by_doxygen
    (improve building reproducibility, patch remove-doxygen-timestamp)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Mon, 15 Jun 2015 09:08:38 +0200

camitk (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 28 Oct 2014 15:12:30 +0100

camitk (3.3.2-2) unstable; urgency=low

  * Fix autopkgtest for 3.3.2
    Closes: #758130

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 23 Sep 2014 11:25:42 +0200

camitk (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Patches:
    - avoid console redirection (config-console-redirection.diff)
    - missing manpages, desktop and icon (applications-man-pixmap-desktop.diff)
    - remove non-dfsg compliant flash video player
  * Added some package tests
  * Added some debian/tests files for autopkgtest
  * New dicom components now directly based on gdcm

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 06 May 2014 11:06:00 +0200

camitk (3.2.2-2) unstable; urgency=medium

  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs fields
  * debian/rules:
     s/CMAKE_BUILD_TYPE:STRING=RelWithDebInfo/CMAKE_BUILD_TYPE:STRING=None/
    Closes: #711515

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2013 15:35:44 +0100

camitk (3.2.2-1) unstable; urgency=low

  * New upstream release.
      - Patches removed (merged in upstream)
  * Removed QCustomPlot (licence was not compatible, FTBS on armel and armhf)
  * camitk-imp description is now "workbench" (flagship was not really nice)
  * Remove uneeded dependencies (see #714935)
  * Updated pixmaps and desktop installation
  * Disable parallel build (that generates a "out of memory" error on some
    plateforms when compiling itk filters)
  * Updated dev dependencies

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Fri, 19 Jul 2013 11:39:38 +0200

camitk (3.2.1-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream release.
    - Update STL obsolete code. Closes: #701250
  * New package for camitk actionstatemachine
  * Updated debian/watch (web site change)
  * Updated debian/copyright due to new source organization in upstream
  * Updated debian/control due to new source organization in upstream
  * Patches:
    - desktop file (camitk-imp-categories.diff)
    - clean version id (remove-svn-revision.diff)
    - force dlopen path to load unfound library
      (load-private-lib-if-needed.diff)
    - use install path to share directory, needed when data are not installed
      (wizard-copy-proper-findcamitk.diff)
  * XPM icon

  [ Andreas Tille ]
  * debian/rules:
     - get-orig-source: create download dir if needed
     - Use xz compression

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 02 Jul 2013 09:25:22 +0200

camitk (3.0.7-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream release. Fix extension inner dependencies.
    - Remove non-free tetgen from source. Closes: #689951
    - Adding -fPIC to fix FTBFS on armhf and mipsel. Closes: #690830
  * Fix typo in d/control. Closes: #689021
    Remove patch applied upstream:
     - sonamefix.patch
  * Separate package libqtpropertybrowser3
  * Updated debian/watch submitted by Bart Martens

  [ Mathieu Malaterre ]
  * Remove DMUA (deprecated)
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove myself from Uploaders

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Thu, 14 Feb 2013 19:09:38 +0100

camitk (3.0.2-1) unstable; urgency=low

  * Initial release (Closes: #682109)

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Thu, 26 Jul 2012 15:55:23 +0200
